Bug 125834 - automatic access point autodetection and configuration loading
automatic access point autodetection and configuration loading
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-06-11 19:59 EDT by Laur Ivan
Modified: 2014-03-16 22:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-14 13:41:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Laur Ivan 2004-06-11 19:59:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
One of the problems I have been confronted with is the constant
requirement to access configuration tools in order to change the
wireless configuration. Now, several cards' drivers implement AP
scanning (which can be used by iwlist scan). 
I think that either a init script or an applet (or both) should
provide users with the possibility to reconfigure the wireless network
"on the fly" if the connection to an AP fails in some way.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot a laptop with configured wireless
2. move out of the AP range (and in the range of another AP)

Actual Results:  network access fails and the user is required to
manually select the alternative wireless setting.

Expected Results:  A notification about exceeding the signal range of
the original AP should be made visibleto the user and a scan (if
available) should be triggered.

Additional info:
Comment 1 Christopher Beland 2005-02-12 19:33:58 EST
It sounds to me like NetworkManager, which is included in FC3, is designed to do
this.  If you "service network stop" and "service NetworkManager start" as root
and then run NetworkManagerInfo, you should get the desired applet. 
Comment 2 Bill Nottingham 2005-02-14 13:41:35 EST
Correct; this isn't going to be added to the scripts outside of NM anytime soon.

Note You need to log in before you can comment on or make changes to this bug.